.header {
    z-index: 900;
    display: block;
    position: relative;

    &--top {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;

        .hamburger {

            span,
            &:after,
            &:before {
                background: $white;
            }
        }

        .header-nav__link {
            color: $white;

            &:hover {
                color: $white;
            }
        }
    }

    &__row {
        height: rem(88);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(143);
    }

    &__main {
        display: flex;
        align-items: center;
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
        margin-top: -2px;
        margin-left: rem(46);
    }

    &__button {
        display: none;
        margin-left: rem(47);
    }

    &__nav {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding-top:  rem(32);
        padding-bottom: rem(32);

        &__row {
            height: auto;
        }

        &__logo {
            width: rem(192);
        }

        &__button {
            display: block;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(28) 0;

        &__logo {
            top: rem(10);
            position: relative;
            width: rem(228);
        }

        &__hamburger {
            display: none;
        }

        &__nav {
            display: block;
        }
    }

    @include media-breakpoint-up(xxl) {
        padding: rem(37) 0;
    }
}

.hamburger {
    width: rem(26);
    height: rem(20);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        left: 0;
        height: 3px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 2px;
        background-color: $black;
    }

    span {
        top: 50%;
        width: 100%;
    }

    &:after {
        top: 0;
        width: 100%;
    }

    &:before {
        top: 100%;
        width: 50%;
    }

    &.hamburger--open {

    }
}

.nav-open {
    height: 100vh;
    overflow: hidden;

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(10px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-10px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }

    .nav-mobile {
        opacity: 1;
        visibility: visible;
        transition: .25s;
    }
}

.header-nav {
    margin: 0;
    padding: 0;
    font-weight: 500;
    font-size: rem(14);
    line-height: rem(17);
    list-style: none;
    display: flex;
    align-items: center;
    white-space: nowrap;

    &__item {

        &:not(:last-child) {
            margin-right: rem(46);
        }
    }

    &__link {
        color: $black;
        text-decoration: none;

        &:hover {
            color: $black;
            text-decoration: underline;
        }
    }
}
